www-repository mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran" <steve.lough...@gmail.com>
Subject Re: whre to copy the next release of ant
Date Mon, 30 Oct 2006 21:36:55 GMT
On 30/10/06, Carlos Sanchez <carlos@apache.org> wrote:
> No, m2-ibiblio-rsync-repository should be only for m2 built stuff,
> ensuring pom correction

The implication being that the poms I write by hand are somehow lower quality?

The primary issue with POMs are bad dependencies, no? Too many, too
little, or incorrect. M2 built apps shouldnt have incorrect
dependencies to the extent that if they say they depend on a version,
that version is really what they want. But there is nothing to stop
them leaving in dependencies on excess baggage.

We have already hand-reviewed the POM files, and I will think of some
ways to test them against the repository. One area of discourse was
the BSF/scripting dependencies; or more to the point, what BSF should
say it depends on. I think we may need a bsf and bsf-all pom, the
latter pulling in all the script languages.

I also want to add comments to the poms saying 'these are official ant
poms and when they were built'. That is, unless there is somewhere to
add dc: metadata :)

-Steve

Mime
View raw message